import type { RendererPlugin } from '@antv/g';
import type { Syringe } from 'mana-syringe';
import RBush from 'rbush';
import { PathGeneratorFactory, PathGenerator } from './shapes/paths';
import { RBushRoot } from './CanvasRendererPlugin';
import { RBushNode } from './components/RBushNode';
import type { RBushNodeAABB } from './components/RBushNode';
export { PathGeneratorFactory, PathGenerator, RBushNode, RBushRoot, RBush };
export * from './shapes/styles';
export type { RBushNodeAABB };
export declare class Plugin implements RendererPlugin {
    init(container: Syringe.Container): void;
    destroy(container: Syringe.Container): void;
}
