import type { LinearGradient, RadialGradient } from '@antv/g';
import { GradientPatternType } from '@antv/g';
export declare type GradientParams = (LinearGradient | RadialGradient) & {
    width: number;
    height: number;
    type: GradientPatternType;
};
export declare class GradientPool {
    private gradientCache;
    getOrCreateGradient(params: GradientParams, context: CanvasRenderingContext2D): CanvasGradient;
    private generateCacheKey;
}
