export function generatePath(context, parsedStyle) {
  var _a = parsedStyle.defX,
      x = _a === void 0 ? 0 : _a,
      _b = parsedStyle.defY,
      y = _b === void 0 ? 0 : _b;
  var points = parsedStyle.points.points;
  var length = points.length;
  var x1 = points[0][0] - x;
  var y1 = points[0][1] - y;
  var x2 = points[length - 1][0] - x;
  var y2 = points[length - 1][1] - y;
  context.moveTo(x1, y1);

  for (var i = 0; i < length - 1; i++) {
    var point = points[i];
    context.lineTo(point[0] - x, point[1] - y);
  }

  context.lineTo(x2, y2);
}