import { __decorate, __extends } from "tslib";
import { singleton } from 'mana-syringe';
import { DefaultRenderer } from './Default';
import { EllipseRendererContribution } from './interfaces';

var EllipseRenderer =
/** @class */
function (_super) {
  __extends(EllipseRenderer, _super);

  function EllipseRenderer() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  EllipseRenderer = __decorate([singleton({
    token: EllipseRendererContribution
  })], EllipseRenderer);
  return EllipseRenderer;
}(DefaultRenderer);

export { EllipseRenderer };