import { __decorate, __extends } from "tslib";
import { singleton } from 'mana-syringe';
import { DefaultRenderer } from './Default';
import { PathRendererContribution } from './interfaces';

var PathRenderer =
/** @class */
function (_super) {
  __extends(PathRenderer, _super);

  function PathRenderer() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  PathRenderer = __decorate([singleton({
    token: PathRendererContribution
  })], PathRenderer);
  return PathRenderer;
}(DefaultRenderer);

export { PathRenderer };