import { __decorate, __extends } from "tslib";
import { singleton } from 'mana-syringe';
import { DefaultRenderer } from './Default';
import { PolylineRendererContribution } from './interfaces';

var PolylineRenderer =
/** @class */
function (_super) {
  __extends(PolylineRenderer, _super);

  function PolylineRenderer() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  PolylineRenderer = __decorate([singleton({
    token: PolylineRendererContribution
  })], PolylineRenderer);
  return PolylineRenderer;
}(DefaultRenderer);

export { PolylineRenderer };