import type { ParsedBaseStyleProps, DisplayObject } from '@antv/g';
import { Syringe } from 'mana-syringe';
export declare const StyleRendererFactory: Syringe.DefinedToken;
export interface StyleRenderer {
    hash: (parsedStyle: ParsedBaseStyleProps) => string;
    render: (context: CanvasRenderingContext2D, parsedStyle: ParsedBaseStyleProps, object: DisplayObject) => void;
}
export declare const CircleRendererContribution: Syringe.DefinedToken;
export declare const EllipseRendererContribution: Syringe.DefinedToken;
export declare const RectRendererContribution: Syringe.DefinedToken;
export declare const LineRendererContribution: Syringe.DefinedToken;
export declare const PolylineRendererContribution: Syringe.DefinedToken;
export declare const PolygonRendererContribution: Syringe.DefinedToken;
export declare const PathRendererContribution: Syringe.DefinedToken;
export declare const TextRendererContribution: Syringe.DefinedToken;
export declare const ImageRendererContribution: Syringe.DefinedToken;
