import type { Pattern } from '@antv/g';
export declare class ImagePool {
    private imageCache;
    private patternCache;
    private canvasConfig;
    getImageSync(src: string): HTMLImageElement;
    getOrCreateImage(src: string): Promise<HTMLImageElement>;
    getPatternSync(pattern: Pattern): CanvasPattern;
    createPattern(patternParams: Pattern, context: CanvasRenderingContext2D): Promise<CanvasPattern>;
    private generatePatternKey;
}
