"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generatePath = generatePath;

function generatePath(context, parsedStyle) {
  var x1 = parsedStyle.x1,
      y1 = parsedStyle.y1,
      x2 = parsedStyle.x2,
      y2 = parsedStyle.y2,
      _a = parsedStyle.defX,
      defX = _a === void 0 ? 0 : _a,
      _b = parsedStyle.defY,
      defY = _b === void 0 ? 0 : _b;
  context.moveTo(x1.value - defX, y1.value - defY);
  context.lineTo(x2.value - defX, y2.value - defY);
}