"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextRendererContribution = exports.StyleRendererFactory = exports.RectRendererContribution = exports.PolylineRendererContribution = exports.PolygonRendererContribution = exports.PathRendererContribution = exports.LineRendererContribution = exports.ImageRendererContribution = exports.EllipseRendererContribution = exports.CircleRendererContribution = void 0;

var _manaSyringe = require("mana-syringe");

var StyleRendererFactory = _manaSyringe.Syringe.defineToken('StyleRendererFactory');

exports.StyleRendererFactory = StyleRendererFactory;

var CircleRendererContribution = _manaSyringe.Syringe.defineToken('CircleRenderer', {
  multiple: false
});

exports.CircleRendererContribution = CircleRendererContribution;

var EllipseRendererContribution = _manaSyringe.Syringe.defineToken('EllipseRenderer', {
  multiple: false
});

exports.EllipseRendererContribution = EllipseRendererContribution;

var RectRendererContribution = _manaSyringe.Syringe.defineToken('RectRenderer', {
  multiple: false
});

exports.RectRendererContribution = RectRendererContribution;

var LineRendererContribution = _manaSyringe.Syringe.defineToken('LineRenderer', {
  multiple: false
});

exports.LineRendererContribution = LineRendererContribution;

var PolylineRendererContribution = _manaSyringe.Syringe.defineToken('PolylineRenderer', {
  multiple: false
});

exports.PolylineRendererContribution = PolylineRendererContribution;

var PolygonRendererContribution = _manaSyringe.Syringe.defineToken('PolygonRenderer', {
  multiple: false
});

exports.PolygonRendererContribution = PolygonRendererContribution;

var PathRendererContribution = _manaSyringe.Syringe.defineToken('PathRenderer', {
  multiple: false
});

exports.PathRendererContribution = PathRendererContribution;

var TextRendererContribution = _manaSyringe.Syringe.defineToken('TextRenderer', {
  multiple: false
});

exports.TextRendererContribution = TextRendererContribution;

var ImageRendererContribution = _manaSyringe.Syringe.defineToken('ImageRenderer', {
  multiple: false
});

exports.ImageRendererContribution = ImageRendererContribution;