import { __decorate, __extends } from "tslib";
import { singleton } from 'mana-syringe';
import { DefaultRenderer } from './Default';
import { CircleRendererContribution } from './interfaces';

var CircleRenderer =
/** @class */
function (_super) {
  __extends(CircleRenderer, _super);

  function CircleRenderer() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  CircleRenderer = __decorate([singleton({
    token: CircleRendererContribution
  })], CircleRenderer);
  return CircleRenderer;
}(DefaultRenderer);

export { CircleRenderer };