import { __decorate, __extends } from "tslib";
import { singleton } from 'mana-syringe';
import { DefaultRenderer } from './Default';
import { LineRendererContribution } from './interfaces';

var LineRenderer =
/** @class */
function (_super) {
  __extends(LineRenderer, _super);

  function LineRenderer() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  LineRenderer = __decorate([singleton({
    token: LineRendererContribution
  })], LineRenderer);
  return LineRenderer;
}(DefaultRenderer);

export { LineRenderer };