import { __decorate, __extends } from "tslib";
import { singleton } from 'mana-syringe';
import { DefaultRenderer } from './Default';
import { PolygonRendererContribution } from './interfaces';

var PolygonRenderer =
/** @class */
function (_super) {
  __extends(PolygonRenderer, _super);

  function PolygonRenderer() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  PolygonRenderer = __decorate([singleton({
    token: PolygonRendererContribution
  })], PolygonRenderer);
  return PolygonRenderer;
}(DefaultRenderer);

export { PolygonRenderer };