import { __decorate, __extends } from "tslib";
import { singleton } from 'mana-syringe';
import { DefaultRenderer } from './Default';
import { RectRendererContribution } from './interfaces';

var RectRenderer =
/** @class */
function (_super) {
  __extends(RectRenderer, _super);

  function RectRenderer() {
    return _super !== null && _super.apply(this, arguments) || this;
  }

  RectRenderer = __decorate([singleton({
    token: RectRendererContribution
  })], RectRenderer);
  return RectRenderer;
}(DefaultRenderer);

export { RectRenderer };