import type { ParsedTextStyleProps, DisplayObject } from '@antv/g';
import type { StyleRenderer } from './interfaces';
export declare class TextRenderer implements StyleRenderer {
    hash(parsedStyle: any): string;
    render(context: CanvasRenderingContext2D, parsedStyle: ParsedTextStyleProps, object: DisplayObject): void;
    private drawLetterSpacing;
    private fillText;
    private strokeText;
}
